package org.F11.scada.util;

import junit.framework.TestCase;

public class AlarmTableTitleUtilTest extends TestCase {

	public void testRepraceStrings() {
		AlarmTableTitleUtil util = new AlarmTableTitleUtil("建物名, 設備名, 属性3, 4");
		String s = util.repraceStrings("属性1, 属性2, 属性3");
		assertEquals(s, "建物名, 設備名, 属性3");
	}

	public void testGetAtrributeString() throws Exception {
		AlarmTableTitleUtil util = new AlarmTableTitleUtil("建物名, 設備名, 属性3, 4");
		assertEquals(util.getAttributeString("属性1"), "建物名");
	}
}
